Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1264508 - mock --new-chroot + --cwd + --chroot incorrect behavior
Summary: mock --new-chroot + --cwd + --chroot incorrect behavior
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 24
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-18 16:00 UTC by Mikhail Campos
Modified: 2016-09-06 02:21 UTC (History)
6 users (show)

Fixed In Version: mock-1.2.19-2.fc24 mock-1.2.20-1.el6 mock-1.2.20-1.el7 mock-1.2.20-1.fc25 mock-1.2.20-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-03 02:18:12 UTC
Type: Bug


Attachments (Terms of Use)

Description Mikhail Campos 2015-09-18 16:00:39 UTC
Description of problem:
with old chroot:
 mock -r fedora-21-x86_64 --old-chroot --cwd /tmp --chroot 'pwd'
 
 ...
 [output skipped]
 INFO: Mock Version: 1.2.13
 Finish: chroot init
 INFO: Running in chroot: ['pwd']
 Start: chroot ['pwd']
 /tmp
 Finish: chroot ['pwd']
 Finish: run

new chroot:
 mock -r fedora-21-x86_64 --new-chroot --cwd /tmp --chroot 'pwd'
 ...
 [output skipped]
 Start: chroot ['pwd']
 Spawning namespace container on /var/lib/mock/fedora-21-x86_64/root (console  is /dev/pts/9).
 Init process in the container running as PID 27548.
 /
 Finish: chroot ['pwd']
 Finish: run

Version-Release number of selected component (if applicable):
1.2.13-1

How reproducible:
always

Steps to Reproduce:
1. run mock -r fedora-21-x86_64 --new-chroot --cwd /tmp --chroot 'pwd'


Actual results:
printing '/'

Expected results:
printing '/tmp'

Additional info:
As a workaround we can add some notes about the issue in man page.

Comment 1 Miroslav Suchý 2015-09-18 17:08:23 UTC
Notes for myself - possible duplicate of bug 1262887.

Comment 2 Jan Kurik 2016-02-24 13:46:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 3 Miroslav Suchý 2016-08-08 23:52:23 UTC
nope. it is not duplicate. And it still apply

Comment 4 Miroslav Suchý 2016-08-09 00:05:54 UTC
Fixed in commit:
* 9a4c465 (HEAD -> devel, origin/devel) pass cwd option to systemd-nspawn [RHBZ#1264508]

Comment 5 Fedora Update System 2016-08-10 13:58:43 UTC
mock-1.2.19-2.fc23 distribution-gpg-keys-1.5-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ba1c57742

Comment 6 Fedora Update System 2016-08-10 13:59:17 UTC
mock-1.2.19-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a569517fe

Comment 7 Fedora Update System 2016-08-10 13:59:50 UTC
mock-1.2.19-2.fc24 distribution-gpg-keys-1.5-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-497b37d2bc

Comment 8 Fedora Update System 2016-08-10 14:00:26 UTC
mock-1.2.19-2.el7 distribution-gpg-keys-1.5-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2b233647a0

Comment 9 Fedora Update System 2016-08-10 14:01:00 UTC
mock-1.2.19-2.el6 distribution-gpg-keys-1.5-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6b161941e5

Comment 10 Fedora Update System 2016-08-10 18:54:56 UTC
mock-1.2.19-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a569517fe

Comment 11 Fedora Update System 2016-08-10 19:53:01 UTC
distribution-gpg-keys-1.5-1.fc23, mock-1.2.19-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ba1c57742

Comment 12 Fedora Update System 2016-08-11 03:24:08 UTC
distribution-gpg-keys-1.5-1.fc24, mock-1.2.19-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-497b37d2bc

Comment 13 Fedora Update System 2016-08-11 14:16:17 UTC
distribution-gpg-keys-1.5-1.el6, mock-1.2.19-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6b161941e5

Comment 14 Fedora Update System 2016-08-11 14:20:28 UTC
distribution-gpg-keys-1.5-1.el7, mock-1.2.19-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2b233647a0

Comment 15 Fedora Update System 2016-08-15 21:25:24 UTC
distribution-gpg-keys-1.5-1.fc24, mock-1.2.19-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-08-17 09:42:42 UTC
distribution-gpg-keys-1.5-1.fc23 mock-1.2.20-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ba1c57742

Comment 17 Fedora Update System 2016-08-17 09:43:13 UTC
mock-1.2.20-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a569517fe

Comment 18 Fedora Update System 2016-08-17 09:44:01 UTC
distribution-gpg-keys-1.5-1.el7 mock-1.2.20-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2b233647a0

Comment 19 Fedora Update System 2016-08-17 09:44:35 UTC
distribution-gpg-keys-1.5-1.el6 mock-1.2.20-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6b161941e5

Comment 20 Fedora Update System 2016-08-17 19:55:06 UTC
mock-1.2.20-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a569517fe

Comment 21 Fedora Update System 2016-08-18 01:51:56 UTC
distribution-gpg-keys-1.5-1.fc23, mock-1.2.20-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ba1c57742

Comment 22 Fedora Update System 2016-08-18 04:19:28 UTC
distribution-gpg-keys-1.5-1.el7, mock-1.2.20-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2b233647a0

Comment 23 Fedora Update System 2016-08-18 04:19:39 UTC
distribution-gpg-keys-1.5-1.el6, mock-1.2.20-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6b161941e5

Comment 24 Fedora Update System 2016-09-03 02:17:39 UTC
distribution-gpg-keys-1.5-1.el6, mock-1.2.20-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2016-09-03 02:18:34 UTC
distribution-gpg-keys-1.5-1.el7, mock-1.2.20-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2016-09-03 17:40:01 UTC
mock-1.2.20-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2016-09-06 02:20:33 UTC
distribution-gpg-keys-1.5-1.fc23, mock-1.2.20-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.